%global packname  vdiffr
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.0.8
Release:          %{autorelease}
Summary:          Visual Regression Testing and Graphical Diffing

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    libpng-devel
BuildRequires:    R-cpp11-devel
BuildRequires:    R-diffobj
BuildRequires:    R-glue
BuildRequires:    R-grDevices
BuildRequires:    R-htmltools
BuildRequires:    R-lifecycle
BuildRequires:    R-rlang
BuildRequires:    R-testthat >= 3.0.3
BuildRequires:    R-xml2 >= 1.0.0
BuildRequires:    R-covr
BuildRequires:    R-decor
BuildRequires:    R-ggplot2 >= 3.2.0
BuildRequires:    R-roxygen2
BuildRequires:    R-withr

%description
An extension to the 'testthat' package that makes it easy to add graphical
unit tests. It provides a Shiny application to manage the test cases.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%dir %{rlibdir}/%{packname}/libs
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/create_glyph_dims.R
%{rlibdir}/%{packname}/libs/vdiffr.so

%changelog
%autochangelog
